package cn.iocoder.yudao.module.pay.controller.app.config;

import cn.iocoder.yudao.framework.swagger.config.YudaoSwaggerAutoConfiguration;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.spring.web.plugins.Docket;

import javax.annotation.Resource;

/**
 * Swagger2 自动配置类
 *
 * @author 捷道源码
 */
@Configuration
public class SwaggerAppPayConfiguration {
    @Bean
    public Docket createAppPayApi() {
        String title = "客户端-支付模块";
        String author = "客户端-支付模块";
        String basePackage = "cn.iocoder.yudao.module.pay.controller.app";
        // 创建 Docket 对象
        return autoConfiguration.docket(title, author, basePackage);
    }

    @Resource
    private YudaoSwaggerAutoConfiguration autoConfiguration;
}
